Get profile by id
curl --request GET \
--url https://api.gologin.com/browser/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gologin.com/browser/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gologin.com/browser/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "<string>",
"notes": "<string>",
"startUrl": "<string>",
"autoLang": true,
"bookmarks": {},
"googleServicesEnabled": true,
"isBookmarksSynced": true,
"launchArguments": "<string>",
"lockEnabled": true,
"debugMode": true,
"navigator": {
"userAgent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/134.0.6998.36 Safari/537.36",
"resolution": "1920x1080",
"language": "en-US",
"platform": "Win32",
"hardwareConcurrency": 4,
"deviceMemory": 4,
"maxTouchPoints": 10
},
"proxyEnabled": true,
"autoProxyServer": "<string>",
"autoProxyUsername": "<string>",
"autoProxyPassword": "<string>",
"dns": "<string>",
"facebookAccountData": {
"date": "<string>",
"token": "<string>",
"fbIdAccount": "<string>",
"email": "<string>",
"password": "<string>",
"googleDriveUrl": "<string>",
"fb2faToolUrl": "<string>",
"fbUrl": "<string>",
"uaVersion": "<string>",
"cookies": "<string>",
"notParsedData": [
"<string>"
]
},
"canBeRunning": true,
"isM1": true,
"storage": {
"local": true,
"extensions": true,
"bookmarks": true,
"history": true,
"passwords": true,
"session": true,
"indexedDb": false,
"enableExternalExtensions": false
},
"proxy": {
"mode": "http",
"id": "6201422450e3b9cd602f24e1",
"host": "127.0.0.1",
"port": 80,
"username": "user",
"password": "password",
"changeIpUrl": "https://some-proxy-provider.com/change-ip",
"customName": "My Proxy"
},
"archivedProxy": {
"id": "<string>",
"name": "<string>",
"country": "<string>"
},
"plugins": {
"enableVulnerable": true,
"enableFlash": true
},
"timezone": {
"enabled": true,
"fillBasedOnIp": true,
"timezone": "America/New_York"
},
"geolocation": {
"enabled": true,
"customize": true,
"fillBasedOnIp": true,
"isCustomCoordinates": true,
"latitude": 123,
"longitude": 123,
"accuracy": 123
},
"audioContext": {
"mode": "noise",
"noise": 0.1
},
"canvas": {
"mode": "off",
"noise": 0.1
},
"fonts": {
"families": [
"Arial",
"Helvetica",
"Verdana"
],
"enableMasking": true,
"enableDomRect": true
},
"mediaDevices": {
"videoInputs": 1,
"audioInputs": 1,
"audioOutputs": 1,
"enableMasking": false,
"uid": "<string>"
},
"webRTC": {
"mode": "off",
"enable": true,
"isEmptyIceList": true
},
"webGL": {
"mode": "noise",
"getClientRectsNoise": 0.5,
"noise": 0.5
},
"webGpu": {},
"clientRects": {
"mode": "noise",
"noise": 0.5
},
"webGLMetadata": {
"vendor": "Google Inc. (Intel)",
"renderer": "ANGLE (Intel, Intel(R) HD Graphics 630 Direct3D11 vs_5_0 ps_5_0, D3D11)",
"mode": "mask"
},
"extensions": {
"enabled": true,
"preloadCustom": true,
"names": [
"WEBGL_debug_renderer_info",
"EXT_texture_filter_anisotropic"
]
},
"profile": "<string>",
"s3Path": "<string>",
"s3Date": "<string>",
"s3SignedUrl": "<string>",
"createdInOs": {},
"devicePixelRatio": 123,
"checkCookies": true,
"chromeExtensions": [
"<string>"
],
"userChromeExtensions": [
"<string>"
],
"isAutoGenerated": true,
"permissions": {}
}Profile
Get profile by id
Returns full profile info by id.
GET
/
browser
/
{id}
Get profile by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Id of the profile.
Query Parameters
If you want to get the profile from a specific workspace.
Example:
"60a763f86501b3abcdc54b21"
Response
200 - application/json
Available options:
fierfox, chrome Available options:
lin, mac, win, android, android-cloud, ios Available options:
M1, M2, M3, M4, M5, A18, win11, Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I